Bug 1716467 - gpsd fails to build in rawhide (Fedora 31)
Summary: gpsd fails to build in rawhide (Fedora 31)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpsd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL: https://copr.fedorainfracloud.org/cop...
Whiteboard:
Depends On:
Blocks: F31FTBFS PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-03 14:35 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
4 users (show)

Fixed In Version: gpsd-3.19-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 15:37:01 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-06-03 14:35:44 UTC
See https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/gpsd/ for actual logs. This report is automated and not very verbose, but feel free to ping me for help.

Comment 1 Lumír Balhar 2019-06-27 09:54:50 UTC
This error seems not to be related to Python 3.8 because the package fails to build from source in fedora rawhide with Python 3.7 and the same error message.

ENTER ['do_with_status'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/gpsd.spec'], chrootPath='/var/lib/mock/945533-fedora-rawhide-x86_64-1561603566.650318/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_US.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x7f37804966d8>timeout=0uid=1001gid=135user='mockbuild'nspawn_args=['--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.l35qi8jq:/etc/resolv.conf']unshare_net=TrueprintOutput=True)
Using nspawn with args ['--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.l35qi8jq:/etc/resolv.conf']
Executing command: ['/usr/bin/systemd-nspawn', '-q', '-M', 'f3c5e5512199492db8f0b2bdfef3b2bd', '-D', '/var/lib/mock/945533-fedora-rawhide-x86_64-1561603566.650318/root', '-a', '--capability=cap_ipc_lock', '--bind=/tmp/mock-resolv.l35qi8jq:/etc/resolv.conf', '--setenv=TERM=vt100', '--setenv=SHELL=/bin/bash', '--setenv=HOME=/builddir', '--setenv=HOSTNAME=mock', '--setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin', '--setenv=PROMPT_COMMAND=printf "\\033]0;<mock-chroot>\\007"', '--setenv=PS1=<mock-chroot> \\s-\\v\\$ ', '--setenv=LANG=en_US.UTF-8', '-u', 'mockbuild', 'bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/gpsd.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'en_US.UTF-8'} and shell False
BUILDSTDERR: error: This macro requires some arguments
Building target platforms: x86_64
Building for target x86_64
Child return code was: 1
EXCEPTION: [Error()]

Maybe some error in specfile?

Comment 2 Miroslav Lichvar 2019-07-02 10:37:39 UTC
The problem seems to with the python3-gobject package. It needs to be rebuilt before gpsd.

DEBUG util.py:585:  BUILDSTDERR:  Problem: package python3-gobject-3.32.2-1.fc31.x86_64 requires python(abi) = 3.7, but none of the providers can be installed
DEBUG util.py:585:  BUILDSTDERR:   - package python3-devel-3.8.0~b1-1.fc31.x86_64 conflicts with python3 < 3.8.0~b1-1.fc31 provided by python3-3.7.4~rc1-1.fc31.x86_64
DEBUG util.py:585:  BUILDSTDERR:   - package python3-devel-3.8.0~b1-1.fc31.x86_64 conflicts with python3 < 3.8.0~b1-1.fc31 provided by python3-3.7.4~rc1-1.fc31.i686
DEBUG util.py:585:  BUILDSTDERR:   - cannot install the best candidate for the job

Comment 3 Miro Hrončok 2019-07-02 10:52:00 UTC
That is indeed a temporary error, but it only covers the real problem.

Comment 4 Miro Hrončok 2019-07-02 11:19:02 UTC
I get this in local rawhide mock:

Finish: build setup for gpsd-3.18.1-2.fc31.src.rpm
Start: rpmbuild gpsd-3.18.1-2.fc31.src.rpm
Start: Outputting list of installed packages
Finish: Outputting list of installed packages
error: This macro requires some arguments
Building target platforms: x86_64
Building for target x86_64
ERROR: Exception(/home/churchyard/rpmbuild/fedora-scm/gpsd/gpsd-3.18.1-2.fc31.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 44 seconds
INFO: Results and/or logs in: /home/churchyard/rpmbuild/fedora-scm/gpsd/results_gpsd/3.18.1/2.fc31
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M b322116ce34345e9a918528a2db50b9e -D /var/lib/mock/fedora-rawhide-x86_64/root -a --capability=cap_ipc_lock --bind=/tmp/mock-resolv.t4i0p7tc:/etc/resolv.conf --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=cs_CZ.utf8 -u mockbuild bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/gpsd.spec

Could not execute mockbuild: Failed to execute command.


I believe the macro in question is %systemd_postun - it starts the build fine if I remove it.

Comment 5 Miroslav Lichvar 2019-07-02 13:56:33 UTC
It should be now fixed in git. Thanks.

I'll build the package in couple days. There is a rebase breaking the API.


Note You need to log in before you can comment on or make changes to this bug.